> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omneo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Batch Delete Profile Tags

> A `DELETE` to the `/profile/tags/batch.json` endpoint allows your application to delete profile tags in batch.



## OpenAPI

````yaml delete /v3/profile/tags/batch.json
openapi: 3.1.0
info:
  title: Omneo
  version: 0.0.1
servers:
  - url: https://api.{tenant}.getomneo.com/api
    variables:
      tenant:
        default: example
security: []
paths:
  /v3/profile/tags/batch.json:
    delete:
      tags:
        - Profile Tag
      summary: Batch Delete Profile Tags
      description: >-
        A `DELETE` to the `/profile/tags/batch.json` endpoint allows your
        application to delete profile tags in batch.
      operationId: profileTag.batchJsonDelete
      parameters:
        - name: profiles
          in: query
          schema:
            type: array
            items:
              type: object
              properties:
                profile_id:
                  type: string
                tags:
                  type: array
                  items:
                    type: string
                  minItems: 1
              required:
                - profile_id
                - tags
          x-deepObject-style: qs
      responses:
        '202':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      message:
                        type: string
                        const: Queued for processing.
                      batch_id:
                        type: string
                    required:
                      - message
                      - batch_id
                required:
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors

````